"use strict";

var navigationControl = function(the_link){
	/* manage the appearance of the navigation*/
	$(".mis2402navlink").parent("li").removeClass("active");
	/* remove the active class from all <li> parents */
	$(the_link).parent("li").addClass("active");
	/* add the active class to the_link anchor's <li> parent */
	
	/* manage the conent that is displayed */
	var idToShow = $(the_link).attr("href");
	
	/* hide all content-wrappers */
	$(".content-wrapper").hide();
	/* show the chosen content wrapper */
	$(idToShow).show();
	
	/* scroll to top of page */
	$("html, body").animate({ scrollTop: "0px" });
	
}

var refreshQuotes = function(){

	//clear messages
	$('#btnShareQuote').next().html('');
	$('#btnShareQuote').next().next().html('');

	$.getJSON("https://misdemo.temple.edu/dailyquote/", function (a_gaggle_of_quotes ){
		var theQuote = a_gaggle_of_quotes[0]['quote'];  // a_gaggle_of_quotes is a simple object 
												   // think of it as an array.
												   // the dailyquote resource  
												   // always returns an array of length one.
		$("#quote_for_today").html(theQuote);
		
		var theAuthor = a_gaggle_of_quotes[0]['author'];
		
		$("#who_said_it").html(theAuthor);
	});
}

$(document).ready(function (){

    /* ------------------  basic navigation ----------------*/    
   
    /* this reveals the default page */
    $("#wrapperlogin").show();
    $("a[href='#wrapperlogin']").parent("li").addClass("active");
    
    /* this controls navigation - show / hide pages as needed */
    /* when a mis2402navlink is clicked */

    $(".mis2402navlink").click(function(){
		navigationControl(this);
        });
    
    
   /* ------------------  login button logic -----------------------------------------------*/    
	//when the login button is clicked ...
    $("#btnLoginContinue").click( function() {

        $(this).next().html(""); //clear all messages
        $(this).next().next().html("");

        var username = $("#idUsername").val();
        var password = $("#idPassword").val();

        if (username == "" || password == ""){
            $(this).next().html("Username and password are both required.");
        } else {
            $(this).next().next().html("Username and password are both required.");
        }
        
    }); // end click() method (login button)
	
	
	/* ------------------  quote of the day logic -----------------------------------------------*/    
	/* on document ready go get the quote of the day.  Put it in the tag called #quote_for_today */
	
	refreshQuotes();

	/* When btnGetNewQuote is clicked, got get a new quote.  Put it in the tag called #quote_for_today */
	
	$("#btnGetNewQuote").click(function(){
		refreshQuotes();	
	});

	/* ------------------  my friend logic -----------------------------------------------*/    
	/* When btn_friend_save is clicked validate the form.  Alert the user to any 
		trouble using the spans that are next to the input fields*/
	
	// Step 3 -- add a click handler

	// Step 3a -- clear all messages
	// Step 3b -- get the data
	// Step 3c, 3d -- check the data - if it is bad report an error message
	// Step 3e -- if the data is good, store it and report a confirmation message

	$('#btnShareQuote').click(function(){
		
		//clear out any error messages
		$(this).next().html('');
		$(this).next().next().html('');
		
		var the_phone = $("#phone").val();
		console.log(the_phone);
		
		//Step 4

		//Step 5
		
	}); // end share quote button
	
	
    }); /* end the document ready event*/
